GET /certjwtstore/{uuid}

GET /certjwtstore/{uuid}

/certjwtstore/{uuid}/{uuid}

Request
URI
GET
https://{api_host}/api/certjwtstore/{uuid}
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Query Parameters
string
name
Optional

object name

string
fields
Optional

List of fields to be returned for the resource. Some fields like name, URL, uuid etc. are always returned.

boolean
include_name
Optional

All the Avi REST reference URIs have a name suffix as URI#name. It is useful to get the referenced resource name without performing get on that object.

boolean
skip_default
Optional

Default values are not set.

string
join_subresources
Optional

It automatically returns additional dependent resources like runtime. Eg. join_subresources=runtime.

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns CertJwtStore of type(s) application/json
{
    "_last_modified": "string",
    "jwt": "string",
    "key": "string",
    "key_passphrase": "string",
    "kid": "string",
    "last_rotated_at": {
        "secs": 0,
        "usecs": 0
    },
    "public_key_algorithm": "string",
    "type": "string",
    "url": "string",
    "uuid": "string"
}
string
_last_modified
Read-Only  

UNIX time since epoch in microseconds. Units(MICROSECONDS).

string
jwt
Required  

JWT containing current portal certificate along with the full certificate bundle chain, signed by the private key of previous portal certificate. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
key
Required  

Private key. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
key_passphrase
Optional

Private key passphrase. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
kid
Required  

SHA256 thumbprint of the previous old portal certificate. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

object
last_rotated_at
Required  

last_rotated_at

string
public_key_algorithm
Required  

Public key algorithm. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
type
Optional

Type of SSL certificate. Enum options - SSL_CERTIFICATE_TYPE_VIRTUALSERVICE, SSL_CERTIFICATE_TYPE_SYSTEM, SSL_CERTIFICATE_TYPE_CA, SSL_CERTIFICATE_TYPE_CLIENT, SSL_CERTIFICATE_TYPE_SECURE_CHANNEL. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.

string
url
Read-Only  

url

string
uuid
Optional

UUID of JWT. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/certjwtstore/{uuid}